summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--academic/gwyddion/doinst.sh15
-rw-r--r--academic/gwyddion/gwyddion.SlackBuild19
-rw-r--r--academic/gwyddion/gwyddion.info8
-rw-r--r--academic/gwyddion/slack-desc2
4 files changed, 33 insertions, 11 deletions
diff --git a/academic/gwyddion/doinst.sh b/academic/gwyddion/doinst.sh
new file mode 100644
index 0000000000..617c93e145
--- /dev/null
+++ b/academic/gwyddion/doinst.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/gwyddion/gwyddion.SlackBuild b/academic/gwyddion/gwyddion.SlackBuild
index ed0a33d95f..1e75554e8e 100644
--- a/academic/gwyddion/gwyddion.SlackBuild
+++ b/academic/gwyddion/gwyddion.SlackBuild
@@ -5,9 +5,9 @@
# Written by Daniil Bratashov <dn2010@gmail.com>
PRGNAM=gwyddion
-VERSION=${VERSION:-2.10}
+VERSION=${VERSION:-2.15}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -42,16 +45,21 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -68,5 +76,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-chown -R root:root .
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/gwyddion/gwyddion.info b/academic/gwyddion/gwyddion.info
index 81bac8838e..353e7948b4 100644
--- a/academic/gwyddion/gwyddion.info
+++ b/academic/gwyddion/gwyddion.info
@@ -1,8 +1,8 @@
PRGNAM="gwyddion"
-VERSION="2.10"
+VERSION="2.15"
HOMEPAGE="http://gwyddion.net"
-DOWNLOAD="http://prdownloads.sourceforge.net/gwyddion/gwyddion-2.10.tar.bz2"
-MD5SUM="11fb3cddf827a445b2b78bab4cf90c55"
+DOWNLOAD="http://prdownloads.sourceforge.net/gwyddion/gwyddion-2.15.tar.bz2"
+MD5SUM="97f050272c35f734f6bee1b948341b8a"
MAINTAINER="Daniil Bratashov"
EMAIL="dn2010@gmail.com"
-APPROVED="David Somero"
+APPROVED="dsomero"
diff --git a/academic/gwyddion/slack-desc b/academic/gwyddion/slack-desc
index 78436cb7be..4774696f41 100644
--- a/academic/gwyddion/slack-desc
+++ b/academic/gwyddion/slack-desc
@@ -6,7 +6,7 @@
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-gwyddion: gwyddion - scanning probe microscopy data analyzer
+gwyddion: gwyddion (scanning probe microscopy data analyzer)
gwyddion:
gwyddion: Gwyddion is a modular program for SPM (scanning probe microscopy)
gwyddion: data visualization and analysis. Primarily it is intended for